using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ADODB;

namespace UnBoundTest
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnLoadTable_Click(object sender, EventArgs e)
        {
            // create unbound recordset for temporary storage (from Paradox table)
            PdxViewA.TScalabiumParadoxReader pdx = new PdxViewA.TScalabiumParadoxReader();
            pdx.FileName = Application.StartupPath + "\\country.db";

            ADODB.Recordset objRS = new ADODB.Recordset();
            objRS.CursorLocation = CursorLocationEnum.adUseClient;
            objRS.CursorType = CursorTypeEnum.adOpenStatic;

            // create field objects in resultset
            objRS.Fields.Append("Name", DataTypeEnum.adVarChar, 24, FieldAttributeEnum.adFldIsNullable, null);
            objRS.Fields.Append("Capital", DataTypeEnum.adVarChar, 24, FieldAttributeEnum.adFldIsNullable, null);
            objRS.Fields.Append("Continent", DataTypeEnum.adVarChar, 24, FieldAttributeEnum.adFldIsNullable, null);
            objRS.Fields.Append("Area", DataTypeEnum.adSingle, 8, FieldAttributeEnum.adFldIsNullable, null);
            objRS.Fields.Append("Population", DataTypeEnum.adSingle, 8, FieldAttributeEnum.adFldIsNullable, null);
            objRS.Open(System.Reflection.Missing.Value,
                       System.Reflection.Missing.Value,
                       CursorTypeEnum.adOpenStatic,
                       LockTypeEnum.adLockOptimistic, 0);

            // load records from Paradox table
            pdx.LoadToRecordset(objRS);

            if (pdx.LastErrorMessage == null)
                MessageBox.Show("Data succesfully loaded");
            else
                MessageBox.Show(pdx.LastErrorMessage);

            // iterate thru recordset and add to memo
            string strRow;
            objRS.MoveFirst();
            while (!objRS.EOF)
            {
                strRow = "";
                
                foreach (Field fld in objRS.Fields)
                {
                    strRow += fld.Value;
                    strRow += ";";
                }

                strRow +=  "\r\n";
                tbTableContent.Text += strRow;
                objRS.MoveNext();
            }

        }
    }
}